FUNCTION::ATOMIC_LON(3stap)

NAME
function::atomic_long_read - Retrieves an atomic long variable from kernel memory

SYNOPSIS

    atomic_long_read:long(addr:long)

ARGUMENTS

addr
    pointer to atomic long variable

DESCRIPTION

Safely perform the read of an atomic long variable. This will be a NOP on kernels that do not have ATOMIC_LONG_INIT set on the kernel config.

SEE ALSO
tapset::atomic(3stap)